Name:           dh-make
# Squeeze
Version:        0.61

Release:        1%{?dist}
Summary:        Tool that converts source archives into Debian package source

Group:          Development/Tools
License:        GPLv3+
URL:            http://packages.qa.debian.org/d/dh-make.html
Source0:        http://ftp.de.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

Requires:       debhelper
Requires:       dpkg-dev
Requires:       %{_bindir}/make

%description
This package allows you to take a standard (or upstream) source
package and convert it into a format that will allow you to build
Debian packages.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_datadir}/debhelper/dh_make/
install -m 755 dh_make %{buildroot}/%{_bindir}
cp -a lib/* %{buildroot}/%{_datadir}/debhelper/dh_make/

# Fix permissions of rules files
find %{buildroot}/%{_datadir}/debhelper/dh_make \
	-type f -name 'rules*' \
	-exec chmod 755 '{}' ';'

for file in postinst.ex postrm.ex emacsen-remove.ex prerm.ex \
            preinst.ex emacsen-install.ex; do
    chmod 755 %{buildroot}/%{_datadir}/debhelper/dh_make/debian/$file
done

mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 -p dh_make.1 %{buildroot}/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc debian/README.Debian
%{_bindir}/dh_make
%{_mandir}/man1/*.1*
%dir %{_datadir}/debhelper
%{_datadir}/debhelper/dh_make

%changelog
* Thu May 23 2013 Oron Peled <oron@actcom.co.il> - 0.61-1
- Upstream bumped to latest Debian/wheezy version
- Update for 'dpkg >= 1.16.x' (Requires: dpkg-dev)
- Don't install the whole ./debian/ directory as doc, only README.Debian
- Fix permissions of all 'rules*' templates

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.55-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Oron Peled <oron@actcom.co.il> - 0.55-2
- Minor changes to spec file: glob man pages, don't specify compression.

* Sun Oct 10 2010 Oron Peled <oron@actcom.co.il> - 0.55-1
- Bump to Squeeze version (0.55) as per review.

* Sat Jul 17 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.46-2
- Fix package during review (#591192)

* Tue May 11 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.46-1
- First package
